### Method

# Cogl Context get_display

#### Declaration [src]

    CoglDisplay*
    cogl_context_get_display (
      CoglContext* context
    )

#### Description [src]

Retrieves the `CoglDisplay` that is internally associated with the given `context`. This will return the same `CoglDisplay` that was passed to `cogl_context_new()` or if `NULL` was passed to `cogl_context_new()` then this function returns a pointer to the display that was automatically setup internally.

#### Return value

Type: `CoglDisplay`

The `CoglDisplay` associated with the given `context`.

The returned data is owned by the instance.